Subject: Re: poweroff/suspend problems on PowerMac G5

From: Anton Vorontsov <[email-masked]>
Date: Thu, 1 Apr 2010 19:14:50 +0400

Hi,

On Thu, Apr 01, 2010 at 02:56:42PM +0200, Bolko Maass wrote:
> Hi everybody!
> 
> Hope this list is even the right place to bring this up, but I've
> exhausted everything else I could think of, so here it goes.
> 
> The problem is that my PowerMac G5 Quad machine ("PowerMac 11,2",
> Gentoo, linux-2.6.34-rc2) will not power down if suspend
> infrastructure (CONFIG_HIBERNATION) is in the kernel.
...
> It will
> stop all services and halt, but never power down. This is when
> actually trying to suspend

So CONFIG_HIBERNATION breaks suspend? Hm. How do you try
to suspend? echo mem > /sys/power/state?

> as well as when just trying to shut
> down the machine.

How do try to shut down the machine? halt/poweroff commands?

>>From a brief look, I don't see how CONFIG_HIBERNATION may change
halt/poweroff code flow in the kernel...

Can you show us a boot log of working and not working kernels?
And .config files you use.

..maybe for some reason PMU/SMU modules didn't get loaded?

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2